<?php
/*******************************************************************************
 *	BMenuRender.php		Render Menu objects		
 *	Copyright		Terry Barnaby,	BeamWeb,	2007-02-02
 *******************************************************************************
 */
require_once "BHtml.php";

function menuBarRender($menu){
	global	$menuBarJs;

	$h = new BHtmlNode("ul", "class='menu-bar'");
	$h->appendNode("li", "class='menu-item'")->appendNode("button", "id='menu-top-leftside' title='Toggle left hand menu' onClick='leftside_toggle();'", "");

	foreach($menu as &$m){
		if(count($m->subMenus) == 0){
			$n = &$h->appendNode("li", "class='menu-item'")->appendNode("a", "href='{$m->url}' {$m->args}", $m->title);
		}
		else {
			$n = &$h->appendNode("li", "class='menu-item'");
			//$n->appendNode("a", "{$m->args}", $m->title);
			//$n->appendNode("a", "href='{$m->url}' {$m->args}", $m->title);
			$n->appendNode("a", "href='#'", $m->title);
			$n = &$n->appendNode("ul", "class='menu-pulldown'");
			foreach($m->subMenus as &$m1){
				$n->appendNode("li", "class='menu-item'")->appendNode("a", "href='{$m1->url}' {$m1->args}", $m1->title);
			}
		}
	}
	//$h->appendNode("div", "class='clearb'");
	
	return $h->render();
}

?>
