#!/usr/bin/sh
if [ ! -e config.php ]; then
	echo "Setup Websys"
	cp config-base.php config.php
	cp .htaccess-base .htaccess
	cp .user-base.ini .user.ini
	cp files/index-base.html files/index.html
	cp files/menu-base.conf files/menu.conf
fi
	
if [ -e error_log.txt ]; then
	touch error_log.txt
	chgrp apache error_log.txt
	chmod 0664 error_log.txt
fi

chgrp apache config.php
chmod 0640 config.php
chgrp -R apache files
chmod -R g+rw files

if [ -e modules/git/gitlist ]; then
	chgrp -R apache modules/git/gitlist/cache
	chmod -R g+rw modules/git/gitlist/cache
fi

# cp tools/90-websys.ini /etc/php.d
